## synaesthesia 2.2-1

=== debian/changelog ===
synaesthesia (2.2-1) unstable; urgency=low

  * New upstream release.
    - incorporates 64-bit fixes from #169459

 -- Devin Carraway <devin@debian.org>  Fri,  8 Aug 2003 01:35:07 -0700

synaesthesia (2.1-5) unstable; urgency=low

  * Patch out incorrect assumption about sizeof(unsigned long) in
    drawing and pipe-method sound code (Closes: #169459)
  * Adjust debian/rules to stop redundantly configuring
  * Adjust menu entries to supply more useful input options

 -- Devin Carraway <devin@debian.org>  Sun, 25 May 2003 02:15:54 -0700

synaesthesia (2.1-4) unstable; urgency=low

  * Fix incredibly stupid breakage-inducing thinko in devfs patch

 -- Devin Carraway <devin@debian.org>  Mon, 12 May 2003 01:06:32 -0700

synaesthesia (2.1-3) unstable; urgency=low

  * Change of maintainer (Closes: #192671)
  * Standards-Version 3.5.9
  * Incorporate past NMUs (Closes: #116520, #170131, #117356)
  * Reword package description (Closes: #131308)
  * Convert build to use debhelper, make lintian-clean (Closes: #117357)
  * Expand menu entries for different audio sources
  * Supply a real manpage (Closes: #84724)
  * Patch in support for devfs sound devices (Closes: #82224)

 -- Devin Carraway <devin@debian.org>  Sat, 10 May 2003 23:00:21 -0700

synaesthesia (2.1-2.2) unstable; urgency=low

  * NMU
  * Correct xlib6g-dev to xlibs-dev in Build-Depends.  Closes: #170131.

 -- Daniel Schepler <schepler@debian.org>  Sat, 15 Mar 2003 00:46:43 -0800

synaesthesia (2.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on newest libsdl1.2-dev to pick up correct libsdl1.2
    dependency. (Closes: #116520)

 -- Robert Bihlmeyer <robbe@debian.org>  Sun, 21 Oct 2001 16:24:25 +0200

synaesthesia (2.1-2) unstable; urgency=low

  * Update to standards version 3.5.5.
  * Recompile for new sdl library. (closes: #102868)
  * Provide dummy svgalib dependency. (closes: #83889)

 -- Martin Mitchell <martin@debian.org>  Sun,  1 Jul 2001 15:07:06 +1000

synaesthesia (2.1-1) unstable; urgency=low

  * New upstream release.
  * Update to standards version 3.2.1.
  * Remove suidregister support. (closes: #67997)

 -- Martin Mitchell <martin@debian.org>  Sun, 28 Jan 2001 00:42:20 +1100

synaesthesia (2.0-2) unstable; urgency=low

  * Update to standards version 3.1.1.
  * Verify 24bit colour now works. (closes: #24811)
  * Fix postinst for non-x86. (closes: #56990)

 -- Martin Mitchell <martin@debian.org>  Sun, 16 Apr 2000 23:28:24 +1000

synaesthesia (2.0-1) unstable; urgency=low

  * New upstream release.
  * Update to standards version 3.0.1.

 -- Martin Mitchell <martin@debian.org>  Tue, 10 Aug 1999 12:42:51 +1000

synaesthesia (1.6-3) unstable; urgency=low

  * Fix dependency determination in rules file.

 -- Martin Mitchell <martin@debian.org>  Thu, 11 Mar 1999 00:38:02 +1100

synaesthesia (1.6-2) unstable; urgency=low

  * Minor portability fixes - build svga version on i386 only. (#34237)

 -- Martin Mitchell <martin@debian.org>  Tue,  9 Mar 1999 01:16:27 +1100

synaesthesia (1.6-1) unstable; urgency=low

  * New upstream release.

 -- Martin Mitchell <martin@debian.org>  Sat,  6 Mar 1999 23:54:37 +1100

synaesthesia (1.4-4) unstable; urgency=low

  * Add suidregister support. (#31361)

 -- Martin Mitchell <martin@debian.org>  Sun, 10 Jan 1999 15:35:31 +1100

synaesthesia (1.4-3) unstable; urgency=low

  * Remove icon tag from menu file.

 -- Martin Mitchell <martin@debian.org>  Fri, 11 Sep 1998 01:13:09 +1000

synaesthesia (1.4-2) unstable; urgency=low

  * Minor source changes for powerpc compilation.
  * Hack debian/rules to include svgalib-dummyg1. (#24959)

 -- Martin Mitchell <martin@debian.org>  Thu,  3 Sep 1998 01:44:29 +1000

synaesthesia (1.4-1) unstable; urgency=low

  * New upstream release.
  * Update package description to mention pipes, which may be used to
    display mp3 or wav files.

 -- Martin Mitchell <martin@debian.org>  Mon, 17 Aug 1998 03:12:54 +1000

synaesthesia (1.3-4) frozen unstable; urgency=low

  * Update to Standards Version 2.4.1.
  * Fix problem starting synaesthesia on some cdroms. (#20888)
  * Update package description.

 -- Martin Mitchell <martin@debian.org>  Sat, 16 May 1998 06:06:23 +1000

synaesthesia (1.3-3) frozen unstable; urgency=low

  * Update to Standards Version 2.4.0.0.
  * Make menu entry start the cd player.

 -- Martin Mitchell <martin@debian.org>  Wed,  1 Apr 1998 00:26:35 +1000

synaesthesia (1.3-2) unstable; urgency=low

  * Include menu file in package. (#19242)

 -- Martin Mitchell <martin@debian.org>  Thu, 12 Mar 1998 17:23:28 +1100

synaesthesia (1.3-1) unstable; urgency=low

  * New upstream release. (#18781)
  * X support included. (#18781)
  * Include menu support. (#18780)

 -- Martin Mitchell <martin@debian.org>  Mon,  9 Mar 1998 19:19:37 +1100

synaesthesia (1.2-1) unstable; urgency=low

  * Initial release.

 -- Martin Mitchell <martin@debian.org>  Sun, 21 Dec 1997 18:25:32 +1100
