=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=4

include /usr/share/dpatch/dpatch.make

configure: patch configure-stamp
configure-stamp:
	dh_testdir
	./configure --prefix=/usr
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CPPFLAGS=-g
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -rf configure-stamp build-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) install DESTDIR=debian/synaesthesia


binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installchangelogs
	dh_installman debian/synaesthesia.1
	dh_installmenu debian/menu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure
