## synaesthesia 2.2-1ubuntu0.1

=== debian/changelog ===
synaesthesia (2.2-1ubuntu0.1) warty-security; urgency=low

  * SECURTY UPDATE: privilege escalation
  * main.cc:
    sound.cc:
    - Applied patch from Debian Team to avoid the reading of arbitrary files
  * References:
    - CAN-2005-0070
    - DSA-681-1

 -- Gerardo Di Giacomo <gerardo@linux.it>  Mon, 21 Feb 2005 09:55:44 +0000
