=== debian/control ===
Source: synaesthesia
Section: sound
Priority: optional
Maintainer: Devin Carraway <devin@debian.org>
Build-Depends: svgalibg1-dev [i386], libsdl1.2-dev (>= 1.2.2-3.1), libesd0-dev, xlibs-dev, debhelper (>> 4.0), dpatch
Standards-Version: 3.5.9

Package: synaesthesia
Architecture: any
Conflicts: suidmanager (<< 0.50)
Depends: ${shlibs:Depends}
Description: A program for representing sounds visually
 This is a program for representing music graphically, as a curuscating
 field of fog, stars and/or glowing lines.  It is intended as a visual
 accompaniment to music.  The representation goes beyond conventional
 freqency analysis displays by combining a fourier analysis with stereo
 positioning information, making it possible to distinguish individual
 intruments, vocalists or effects by location, shape and color.
 .
 Sound inputs can be obtained from a CD, line input, the ESD sound daemon
 or via piped-in PCM data.
