## synaesthesia 2.4

=== debian/changelog ===
synaesthesia (2.4-5) unstable; urgency=medium

  * Reupload with upgraded maintainer key

 -- Devin Carraway <devin@debian.org>  Sun, 12 Jan 2014 22:43:26 -0800

synaesthesia (2.4-4) unstable; urgency=low

  * Remove libsvga support (Closes: #711552, #388588)
  * Standards-version 3.9.4
  * Use dpkg-buildflags
  * Recommend pulseaudio-esound-compat, since synaesthesia's audio interfaces
    haven't been updated since the ESD era; add README.Debian discussion of
    the issues

 -- Devin Carraway <devin@debian.org>  Mon, 01 Jul 2013 15:12:49 -0700

synaesthesia (2.4-3) unstable; urgency=low

  * Convert to dpkg-source 3.0 (quilt)
  * Standards-version 3.9.2
  * bug647963-fix_hurd-i386_ftbfs.patch: Fix FTBFS on hurd-i386 (Closes:
    #647963)

 -- Devin Carraway <devin@debian.org>  Tue, 17 Jan 2012 22:42:26 -0800

synaesthesia (2.4-2) unstable; urgency=low

  * Switch build-depends from svgalib1-dev to libsvga1-dev (Closes:
    #483454)
  * Standards-Version 3.8.0
  * Make lintian-clean again:
    + Fix menu section from "Apps" to "Applications"
    + Explicit copyright notice
    + Tweak debian/rules clean target
    + Add DP: comments to dpatch

 -- Devin Carraway <devin@debian.org>  Sun, 08 Jun 2008 22:50:15 -0700

synaesthesia (2.4-1) unstable; urgency=low

  * New upstream version
    + Incorporates Aurelien Jarno's patch to fix builds on FreeBSD, so
      removing freebsd-sounddevs.dpatch
  * Standards-Version 3.7.2

 -- Devin Carraway <devin@debian.org>  Sun,  9 Jul 2006 02:07:46 -0700

synaesthesia (2.3-3) unstable; urgency=low

  * Apply patch from Aurelien Jarno to fix FTBFS on Debian/kFreeBSD
    (Closes: #336874)

 -- Devin Carraway <devin@debian.org>  Wed,  9 Nov 2005 00:14:40 -0800

synaesthesia (2.3-2) unstable; urgency=low

  * Rebuild for gcc4 ABI changes
  * Standards-Version 3.6.2
  * Rearrange build-deps for xorg's new scheme

 -- Devin Carraway <devin@debian.org>  Tue,  2 Aug 2005 00:01:01 -0700

synaesthesia (2.3-1) unstable; urgency=low

  * New upstream version, primarily focused on gcc 3.4 fixes
  * Restore and update debian/watch
  * Update upstream sources location

 -- Devin Carraway <devin@debian.org>  Wed, 15 Jun 2005 02:15:46 -0700

synaesthesia (2.2-4) unstable; urgency=low

  * Brown-paper-bag correction to gcc3.4 FTBFS patch; thanks to Andreas
    Jochens for the correction.  (Closes: #273612)

 -- Devin Carraway <devin@debian.org>  Sat,  2 Oct 2004 18:09:13 -0700

synaesthesia (2.2-3) unstable; urgency=low

  * Standards-version 3.6.1
  * Apply fix for #263812 with a correctly ordered patch this time
    (Closes: #273173)

 -- Devin Carraway <devin@debian.org>  Sun, 26 Sep 2004 03:11:03 -0700

synaesthesia (2.2-2) unstable; urgency=low

  * Fix FTBFS under gcc-3.4 relating to use of unqualified variable
    names in template class definition (Closes: #263812)

 -- Devin Carraway <devin@debian.org>  Wed, 11 Aug 2004 01:08:09 -0700
