=== debian/rules ===
#!/usr/bin/make -f
# $Id$

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

clean:
	dh_testdir
	dh_testroot
	dh_autotools-dev_restoreconfig
	rm -rf configure-stamp build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log
	dh_clean

configure: configure-stamp
configure-stamp: config.status
config.status:
	dh_testdir
	dh_auto_configure -- --disable-rpath
	dh_autotools-dev_updateconfig
	
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE) CPPFLAGS=-g
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) install DESTDIR=debian/synaesthesia


binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installchangelogs
	dh_installman debian/synaesthesia.1
	dh_installmenu debian/menu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure
