=== debian/watch ===
version=3
http://www.logarithmic.net/pfh/synaesthesia \
	(?:.*/)?synaesthesia-([\d.]+).tar.gz
